curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders/batch' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": null,
"email": null,
"firstName": null,
"lastName": null,
"phone": null,
"netsuiteId": null
},
"shippingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"billingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": null,
"sendToErp": null,
"createInStateset": null,
"fulfillmentProvider": null,
"dclLocation": null
},
"metadata": {}
}
]
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "queued",
"message": "Two-person tent, green — replacement for damaged pole set."
}
Batch process multiple ACP orders
ACP batch queued for asynchronous processing
POST
/
v1
/
tenants
/
{tenant_id}
/
acp
/
orders
/
batch
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders/batch' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": null,
"email": null,
"firstName": null,
"lastName": null,
"phone": null,
"netsuiteId": null
},
"shippingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"billingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": null,
"sendToErp": null,
"createInStateset": null,
"fulfillmentProvider": null,
"dclLocation": null
},
"metadata": {}
}
]
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "queued",
"message": "Two-person tent, green — replacement for damaged pole set."
}
Path parameters
string
required
Tenant identifier
Request body
object
object[]
required
List of orders to process
Response
object
string (uuid)
required
Job ID to track progress
string
required
Current job status
string
required
Message
Status codes
| Code | Meaning |
|---|---|
202 | ACP batch queued for asynchronous processing |
401 | Unauthorized |
422 | Validation error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders/batch' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orders": [
{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": null,
"email": null,
"firstName": null,
"lastName": null,
"phone": null,
"netsuiteId": null
},
"shippingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"billingAddress": {
"name": null,
"company": null,
"address1": null,
"address2": null,
"city": null,
"state": null,
"postalCode": null,
"countryCode": null,
"phone": null
},
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": null,
"sendToErp": null,
"createInStateset": null,
"fulfillmentProvider": null,
"dclLocation": null
},
"metadata": {}
}
]
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "queued",
"message": "Two-person tent, green — replacement for damaged pole set."
}